package com.xjgs;

import org.apache.ibatis.annotations.Mapper;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.scheduling.annotation.EnableScheduling;
import springfox.documentation.oas.annotations.EnableOpenApi;

/**
 * @description：
 * @author：ChenJ
 * @date：2022/05/09
 **/
@SpringBootApplication
public class Applicaltion extends SpringBootServletInitializer {

    /**
     * springboot的启动方式是jar,所以主入口不再是启动tomcat
     * spring启动的时候都做了哪些事
     * jar需要main方式启动
     * 在main中告诉springboot中加载类
     *
     * @param args 参数
     */
    public static void main(String[] args) {
        SpringApplication.run(Applicaltion.class, args);
    }
}
