package com.xjgs.pacsDao;

import com.xjgs.vo.ArchiveMaster;
import com.xjgs.vo.PacsVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @InterfaceName commomtableMapper
 * @Description
 * @Author linjj
 * @Date 2023/8/2 17:49
 * @Version 1.0
 */
@Mapper
public interface PacsMapper {
    /**
     * @description: 查询pacs路径集合
     * @params:  ArchiveMaster
     * @return:   PacsVo
     * @author linjj
     * @date: 2023/8/3 11:08
     */
    List<PacsVo> getPacsPathList(ArchiveMaster archiveMaster);
}
