package com.xjgs.service;

import com.xjgs.vo.ArchiveMaster;
import com.xjgs.vo.PacsVo;

import java.util.List;

/**
 * @InterfaceName MakeUpPacsService
 * @Description 按需采集pacs接口
 * @Author linjj
 * @Date 2023/8/3 11:06
 * @Version 1.0
 */
public interface MakeUpPacsService {

    /**
     * @description: 查询pacs路径集合
     * @params:  ArchiveMaster
     * @return:   PacsVo
     * @author linjj
     * @date: 2023/8/3 11:08
     */
    void getPacsPathList(ArchiveMaster archiveMaster);
}
